Eclipse Platform Release 3.7

## org.eclipse.update.core
Interface IVerifier

All Known Implementing Classes:
  Verifier

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface IVerifier

Verifier. This interface abstracts the archive verification step performed by specific feature implementations. The actual details of the verification are the responsibility of the concrete implementation.

Clients may implement this interface.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `IVerificationResult`, `IFeatureContentProvider.getVerifier()`

Method Summary
`IVerifier` `getParent()` Deprecated. Returns the parent verifier
`void` `setParent(IVerifier parentVerifier)` Deprecated. Sets the parent verifier.
`IVerificationResult` `verify(IFeature feature, ContentReference reference, boolean isFeatureVerification, InstallMonitor monitor)` Deprecated. Perform verification of the specified archive.

Method Detail

### verify

    IVerificationResult verify(IFeature feature,
                               ContentReference reference,
                               boolean isFeatureVerification,
                               InstallMonitor monitor)
                               throws CoreException

  Deprecated.
  Perform verification of the specified archive.

  Parameters:
    `feature` - feature containing this archive
    `reference` - actual archive reference
    `isFeatureVerification` - `true` indicates the specified reference should be considered as part of the feature description information (ie. verifying the overall feature), `false` indicates the specified reference is a plug-in or a non-plug-in archive file (ie. verifying a component of the feature)
    `monitor` - progress monitor, can be `null`
  Returns:
    verification result
  Throws:
    `CoreException`
  Since:
    2.0

### setParent

    void setParent(IVerifier parentVerifier)

  Deprecated.
  Sets the parent verifier. The parent verifier can only be set once by the parent feature. It may used for different verification strategies. (for instance, you may decide that both the parent and current verifier must sucessfully verify the content reference, or that only one of them must verify)

  Parameters:
    `parentVerifier` - the parent verifier.

### getParent

    IVerifier getParent()

  Deprecated.
  Returns the parent verifier

  Returns:
    the parent verifier
  Since:
    2.0

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.